#
# spec file for package rapport
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rapport
Version:        0.1.4
Release:        14.21
Summary:        Work report generator for the lazy
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://github.com/saschpe/rapport
Source:         http://pypi.python.org/packages/source/r/rapport/rapport-%{version}.tar.gz
# PATCH-FIX-OPENSUSE fix-import.patch -- fix importing for futures on Python 2
Patch0:         fix-import.patch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
# Test requirements:
BuildRequires:  python-Jinja2
BuildRequires:  python-Trolly
BuildRequires:  python-argparse
BuildRequires:  python-bugzilla
BuildRequires:  python-coverage
BuildRequires:  python-futures
BuildRequires:  python-lxml
BuildRequires:  python-nose
BuildRequires:  python-paramiko
BuildRequires:  python-requests
BuildRequires:  python-tweepy
Requires:       python-Jinja2
Requires:       python-Trolly
Requires:       python-argparse
Requires:       python-bugzilla
Requires:       python-futures
Requires:       python-lxml
Requires:       python-paramiko
Requires:       python-requests
Requires:       python-tweepy
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Writing work reports is tedious. Some people have custom hacks. This is meant
to be the last one. It's Apache-2.0 licensed and written in Python, not
VimScript, not Bash, not Ruby, not C, ..., you probably got it ;-)

%prep
%setup -q -n rapport-%{version}
%patch0 -p1

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
nosetests

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{_bindir}/rapport
%{python_sitelib}/*

%changelog
* Tue May 19 2015 mcihar@suse.cz
- fix importing for futures on Python 2 (fix-import.patch)
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Aug  5 2013 speilicke@suse.com
- Update to version 0.1.4
  + Many bugfixes, dropped Launchpad support
  + Change license to Apache-2.0
- Run testsuite
* Mon May 13 2013 speilicke@suse.com
- The license update is nonsense, this is my code and it is GPL-2.0+
  licensed. To my knowledge there is no references to GPL-2.0 (only)
  in the code.
* Fri May  3 2013 cfarrell@suse.com
- license update: GPL-2.0
  Multiple matches for GPL-2.0 (i.e. "only")
* Fri Apr 19 2013 speilicke@suse.com
- Update to version 0.1.0:
  + Refactoring release
* Tue Apr 16 2013 speilicke@suse.com
- Update to version 0.0.9:
  + Many new CLI commands
  + E-mail functionality
* Fri Apr 12 2013 speilicke@suse.com
- Update to version 0.0.8:
  + Various improvements, first mail rendering
* Fri Apr 12 2013 speilicke@suse.com
- Update to version 0.0.6:
  + Some path fixes
* Fri Apr 12 2013 speilicke@suse.com
- Initial version
